user www-data;
worker_processes auto; ###change to cores on server
pid /run/nginx.pid;

events {
        worker_connections 1024; ### adjust if needed
}

http {
        sendfile on;
        tcp_nopush on;
        tcp_nodelay on;
        keepalive_timeout 10;
        keepalive_requests 100000;
        types_hash_max_size 2048;
        server_tokens off;
        server_names_hash_bucket_size 128;
        server_name_in_redirect off;
        include /etc/nginx/mime.types;
        default_type application/octet-stream;
        limit_req_zone $binary_remote_addr zone=one:10m rate=3r/m;
        gzip on;
        gzip_disable "msie6";
        gzip_proxied any;
        gzip_comp_level 2;
        gzip_http_version 1.1;
        gzip_min_length 1100;
        gzip_buffers 16 8k;
        log_format main "888821_188888 $remote_addr+++$msec+++$request+++$status+++$host - $http_user_agent+++$time_local";
        client_header_timeout 12;

server {
        listen 2082;
        listen 29999;
        server_name 51.75.68.191;





        access_log syslog:server=127.0.0.1,facility=local6,severity=info main;
        root /var/www/html;
        # Add index.php to the list if you are using PHP
        index index.html index.htm default.html default.htm;


location / {
      proxy_pass http://51.77.84.54:2082;
      proxy_redirect off;
      proxy_http_version 1.1;
      proxy_set_header Connection "";
      proxy_set_header Host $http_host;
      proxy_set_header X-Real-IP $remote_addr;
      proxy_set_header X-Original-Scheme $scheme;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_pass_request_headers on;
      proxy_max_temp_file_size 0;
      client_max_body_size 10m;
      client_body_buffer_size 128k;
      client_body_timeout 12;
      keepalive_timeout 15;
      send_timeout 10;
      proxy_connect_timeout 90;
      proxy_send_timeout 90;
      proxy_read_timeout 90;
      proxy_buffer_size 4k;
      proxy_buffers 4 32k;
      proxy_busy_buffers_size 64k;
      proxy_temp_file_write_size 64k;
        }
        }
        }